%!octave 
%      
%
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: mlp_layers.m,v 1.1 2016/03/19 19:02:54 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% состояния нейронов всех слоёв для весов W и входа x
function retval=mlp_layers(X, W, cfg ),
   layers_numb = length(cfg) ; % количество слоёв сети, включая вход
   ltp=2; % номер ячейки cfg с типом ф-ции активации
   l = {} ;
   l{1} = X ; % вход 
   l{2} = (  W{1}{1} * l{1} + W{1}{2} ) ; % состояние (неактивированные) нейроныов второго слоя, 
   for j=3:layers_numb, 
      o = mlp_activate( l{j-1}, cfg{j-1}{ltp} ) ;
	  l{j} = ( W{j-1}{1} * o + W{j-1}{2} ) ;
   endfor
   retval = l;
endfunction
