%!octave 
%      
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: mlp_run.m,v 1.1 2016/03/19 19:02:54 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function retval=mlp_run(X, W, cfg ),
   layers_count = length(cfg) ; % количество слоёв сети, включая вход
   ltp=2; % номер ячейки cfg с типом ф-ции активации
   
   o=X;
   for j=1:layers_count-1, 
	  s = ( W{j}{1} * o + W{j}{2} ) ;
      o = mlp_activate( s, cfg{j+1}{ltp} ) ;
   endfor
   retval = o;
endfunction


