%!octave 
%
%
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: mlp_weight_norm.m,v 1.1 2016/04/12 13:19:18 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% нормируем градиент
%
function retval = mlp_weight_norm(g),
   vg = mlp_weight_unpack(g);
   ng=norm(vg);

   r={};
   for i=1:length(g),
	  for j=1:2, 
		 r{i}{j} = g{i}{j}/ng; 
	  endfor
   endfor

   retval = r;
endfunction

