%!octave 
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: mlp_weight_set.m,v 1.1 2016/03/19 19:02:54 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% инициализация весов FFN значением d
%
% cfg - конфигурация сети
%
function retval=mlp_weight_set(cfg,d),
   c=length(cfg);% количество слоёв
   W={} ; % начальные матрицы весов
   for i=1:c-1, 
      s=[ cfg{i+1}{1}, cfg{i}{1}  ] ; % размер матрицы весов слоёв (i,i+1)
      sb=[ s(1) , 1] ; % размер вектора сдвигов 
	  W{i}={ ones(s)*d , ones(sb)*d } ; % матрица весов и вектор сдвигов
   endfor
   retval=W;
endfunction

